---
title: OpenAI Live | RunAPI
description: Send a request through RunAPI's OpenAI-compatible Live operation.
url: https://runapi.ai/de/docs/api/openai/live.md
canonical: https://runapi.ai/de/docs/api/openai/live
locale: de
---

> HTML-Version: https://runapi.ai/de/docs/api/openai/live
> Website-Index für KI-Agenten: https://runapi.ai/llms.txt

# OpenAI Live

## Übersicht

Use RunAPI's OpenAI-compatible Live operation with a compatible model and the protocol's request and response shapes.

### Schnellstart

1. Erstellen Sie einen API-Schlüssel und setzen Sie ihn als RUNAPI_API_KEY.
2. Wählen Sie ein kompatibles Modell, senden Sie dann die dokumentierten Pfadparameter und den JSON-Body.
3. Lesen Sie die für diesen Vorgang angezeigte JSON-Antwort oder die server-sent events und behandeln Sie Protokollfehler.

## Endpunkt

POST /v1/live/webrtc

Basis-URL: https://runapi.ai

Vertragsversion: v1

Bevorzugte Authentifizierung: Authorization: Bearer YOUR_API_TOKEN

## Authentifizierungsträger

RunAPI akzeptiert jeden der unten aufgeführten Träger. Generierte Beispiele verwenden den bevorzugten Header des Protokolls.

- `Authorization: Bearer YOUR_API_TOKEN` (Bevorzugt)
- `x-api-key: YOUR_API_TOKEN`

## Kompatible Modelle

Öffnen Sie eine Modellseite für aktuelle Preise, Ratenlimits und Details zur kommerziellen Nutzung.

- [gpt-live-1](https://runapi.ai/de/models/gpt)

## Anfrage-Vertrag

Es werden nur Felder aufgeführt, für die sowohl öffentliche Protokoll- als auch RunAPI-Unterstützung belegt ist. Weitere JSON-Body-Felder werden durchgereicht.

### JSON-Body

Erforderlich: `model`, `transport`, `sdp`

```json
{
  "delegation": {
    "additionalProperties": true,
    "description": "Optional client or Responses delegation contract.",
    "properties": {
      "instructions": {
        "description": "Backend prompt for delegated work when type is responses.",
        "type": "string"
      },
      "max_output_tokens": {
        "description": "Output token budget for the delegated response.",
        "type": "integer"
      },
      "model": {
        "description": "Responses model that runs delegated work when type is responses.",
        "minLength": 1,
        "type": "string"
      },
      "parallel_tool_calls": {
        "description": "Allow independent delegated tool calls in one turn.",
        "type": "boolean"
      },
      "reasoning": {
        "additionalProperties": true,
        "description": "Reasoning settings for the delegated model.",
        "type": "object"
      },
      "service_tier": {
        "description": "Service tier requested for the delegated response.",
        "type": "string"
      },
      "text": {
        "additionalProperties": true,
        "description": "Text output settings for the delegated response.",
        "type": "object"
      },
      "tool_choice": {
        "description": "Which delegated tools the backend may use.",
        "type": [
          "string",
          "object"
        ]
      },
      "tools": {
        "description": "Hosted Responses tools, or client-owned function tools when type is client.",
        "items": {
          "additionalProperties": true,
          "properties": {
            "type": {
              "type": "string"
            }
          },
          "required": [
            "type"
          ],
          "type": "object"
        },
        "minItems": 1,
        "type": "array"
      },
      "type": {
        "enum": [
          "client",
          "responses"
        ],
        "type": "string"
      }
    },
    "type": [
      "object",
      "null"
    ]
  },
  "model": {
    "description": "RunAPI model identifier; Live currently supports gpt-live-1.",
    "type": "string"
  },
  "sdp": {
    "description": "Client SDP offer for the WebRTC session.",
    "minLength": 1,
    "type": "string"
  },
  "transport": {
    "const": "webrtc",
    "description": "WebRTC session negotiation transport.",
    "type": "string"
  }
}
```

### Anfragebeispiel

```json
{
  "delegation": {
    "model": "gpt-5.6-terra",
    "tools": [
      {
        "type": "web_search_preview"
      }
    ],
    "type": "responses"
  },
  "model": "gpt-live-1",
  "sdp": "v=0",
  "transport": "webrtc"
}
```

## Synchrone Antwort

HTTP 201

### Schema

```json
{
  "additionalProperties": true,
  "properties": {
    "session": {
      "additionalProperties": true,
      "type": "object"
    },
    "transport": {
      "additionalProperties": true,
      "type": "object"
    }
  },
  "required": [
    "session",
    "transport"
  ],
  "type": "object"
}
```

### Beispiel

```json
{
  "session": {
    "id": "live_123"
  },
  "transport": {
    "sdp": "answer",
    "type": "webrtc"
  }
}
```

## Protokollfehler: invalid_request

HTTP 400

### Schema

```json
{
  "additionalProperties": true,
  "properties": {
    "error": {
      "additionalProperties": true,
      "properties": {
        "code": {
          "type": [
            "string",
            "null"
          ]
        },
        "message": {
          "type": "string"
        },
        "param": {
          "type": [
            "string",
            "null"
          ]
        },
        "type": {
          "type": "string"
        }
      },
      "required": [
        "message",
        "type"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}
```

### Beispiel

```json
{
  "error": {
    "code": null,
    "message": "Invalid Live session request",
    "param": "sdp",
    "type": "invalid_request_error"
  }
}
```

## Verwendung

### Schema

```json
{
  "additionalProperties": true,
  "properties": {
    "duration_seconds": {
      "type": "number"
    }
  },
  "required": [
    "duration_seconds"
  ],
  "type": "object"
}
```

### Beispiel

```json
{
  "duration_seconds": 3
}
```

## Generierte Code-Beispiele

Jedes cURL-, JavaScript- und Python-Beispiel sendet die validierte Anfrage aus diesem Vertrag, ohne ein protokollspezifisches SDK zu benötigen.

### curl

```curl
curl -X POST https://runapi.ai/v1/live/webrtc \
  -H Authorization:\ Bearer\ YOUR_API_TOKEN \
  -H Content-Type:\ application/json \
  -d \{\"model\":\"gpt-live-1\",\"transport\":\"webrtc\",\"sdp\":\"v\=0\",\"delegation\":\{\"type\":\"responses\",\"model\":\"gpt-5.6-terra\",\"tools\":\[\{\"type\":\"web_search_preview\"\}\]\}\}
```

### javascript

```javascript
const response = await fetch("https://runapi.ai/v1/live/webrtc", {
  method: "POST",
  headers: {
  "Authorization": "Bearer YOUR_API_TOKEN",
  "Content-Type": "application/json"
},
  body: JSON.stringify({
  "model": "gpt-live-1",
  "transport": "webrtc",
  "sdp": "v=0",
  "delegation": {
    "type": "responses",
    "model": "gpt-5.6-terra",
    "tools": [
      {
        "type": "web_search_preview"
      }
    ]
  }
})
});
if (!response.ok) throw new Error(`HTTP ${response.status}`);
const data = await response.json();
console.log(data);
```

### python

#### Installieren

```bash
pip install requests
```

```python
import requests

response = requests.post(
    "https://runapi.ai/v1/live/webrtc",
    headers={"Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json"},
    json={"model": "gpt-live-1", "transport": "webrtc", "sdp": "v=0", "delegation": {"type": "responses", "model": "gpt-5.6-terra", "tools": [{"type": "web_search_preview"}]}}
)
response.raise_for_status()
print(response.json())
```

## Verwandte Anleitungen

- [Authentifizierung](https://runapi.ai/de/docs/guides/authentication.md)
- [Schnellstart](https://runapi.ai/de/docs/guides/llm-api/quickstart.md)

---

## Mehr von RunAPI

- [Startseite](https://runapi.ai/de/.md)
- [Modellkatalog](https://runapi.ai/de/models.md)
- [Preise](https://runapi.ai/de/pricing.md)
- [Anbieter](https://runapi.ai/de/models)
- [Dokumentation](https://runapi.ai/de/docs/guides)
- [SDKs](https://runapi.ai/de/sdk.md)
- [CLI](https://runapi.ai/de/cli.md)
- [MCP Server](https://runapi.ai/de/mcp.md)
- [Claude Code vs Cursor](https://runapi.ai/de/claude-code-vs-cursor.md)
- [Cursor API-Einrichtung](https://runapi.ai/de/cursor-api-setup.md)
- [RunAPI vs OpenRouter](https://runapi.ai/de/openrouter-alternative.md)
- [Enterprise](https://runapi.ai/de/contact.md)
- [Kontakt](https://runapi.ai/de/contact.md)
- [Bedingungen](https://runapi.ai/de/terms.md)
- [Datenschutz](https://runapi.ai/de/privacy.md)
- [Website-Index für KI-Agenten](https://runapi.ai/llms.txt)

Kontakt: contact@runapi.ai

## Strukturierte Daten

```json
[
  {
    "@context": "https://schema.org",
    "inLanguage": "de",
    "@type": "WebSite",
    "name": "RunAPI",
    "url": "https://runapi.ai/de",
    "potentialAction": {
      "@type": "SearchAction",
      "target": {
        "@type": "EntryPoint",
        "urlTemplate": "https://runapi.ai/de/models?q={search_term_string}"
      },
      "query-input": "required name=search_term_string"
    }
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "de",
    "@type": "Organization",
    "name": "RunAPI",
    "url": "https://runapi.ai/de",
    "logo": {
      "@type": "ImageObject",
      "url": "https://runapi.ai/deicon.svg"
    },
    "sameAs": [
      "https://github.com/runapi-ai"
    ]
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "de",
    "@type": "TechArticle",
    "headline": "OpenAI Live",
    "description": "Send a request through RunAPI's OpenAI-compatible Live operation.",
    "url": "https://runapi.ai/de/docs/api/openai/live",
    "mainEntityOfPage": "https://runapi.ai/de/docs/api/openai/live"
  }
]
```
